package io.github.solam.service;


import io.github.solam.domain.Site;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface SiteService {

    Site createSite(Site site);

    Page<Site> findList(Pageable pageable);

    List<Site> findAll();

    Site findOne(Long id);

    Site updateSite(Site site);

    Site delSite(Long id);
}
