<!DOCTYPE html>
<html>
<#include "../../common/header.ftl">
<body>
<div class="x-body">
    <form class="layui-form" action="/task/edit" method="post">
        <input type="hidden" name="id" value="${task.id}"/>
        <div class="layui-form-item">
            <label for="siteId" class="layui-form-label">
                <span class="x-red">*</span>站点
            </label>
            <div class="layui-input-inline">
                <input type="text" id="siteId" name="siteId" required="" value="${task.siteId}" lay-verify="required"
                       autocomplete="off" class="layui-input">
            </div>
        </div>
        <div class="layui-form-item">
            <label for="taskName" class="layui-form-label">
                <span class="x-red">*</span>任务名称
            </label>
            <div class="layui-input-inline">
                <input type="text" id="taskName" name="taskName" value="${task.taskName}" required="" lay-verify="required"
                       autocomplete="off" class="layui-input">
            </div>
        </div>
        <div class="layui-form-item">
            <label for="timerTask" class="layui-form-label">
                <span class="x-red">*</span>是否定时任务
            </label>
            <div class="layui-input-inline">
                <select id="timerTask" name="timerTask" class="valid">
                    <option value="1" >是</option>
                    <option value="2" <#if task.timerTask == 2>selected</#if>>否</option>
                </select>
            </div>
        </div>
        <div class="layui-form-item">
            <label for="runTask" class="layui-form-label">
                <span class="x-red">*</span>需要执行任务
            </label>
            <div class="layui-input-inline">
                <select id="runTask" name="runTask" class="valid">
                    <option value="1">是</option>
                    <option value="2" <#if task.runTask == 2>selected</#if>>否</option>
                </select>
            </div>
        </div>

        <div class="layui-form-item layui-form-text">
            <label for="taskRuleJson" class="layui-form-label">
                任务JSON
            </label>
            <div class="layui-input-block">
                <textarea placeholder="请输入内容" id="taskRuleJson" name="taskRuleJson" class="layui-textarea">${task.taskRuleJson!""}</textarea>
            </div>
        </div>
        <div class="layui-form-item">
            <label for="L_repass" class="layui-form-label">
            </label>
            <button  class="layui-btn" lay-filter="add" lay-submit="">
                增加
            </button>
        </div>
    </form>
</div>
<script>
    layui.use(['form','layer'], function(){
        $ = layui.jquery;
        var form = layui.form
                ,layer = layui.layer;

        //自定义验证规则
        /*form.verify({
            nikename: function(value){
                if(value.length < 5){
                    return '昵称至少得5个字符啊';
                }
            }
            ,pass: [/(.+){6,12}$/, '密码必须6到12位']
            ,repass: function(value){
                if($('#L_pass').val()!=$('#L_repass').val()){
                    return '两次密码不一致';
                }
            }
        });*/

        //监听提交
        form.on('submit(add)', function(data){
            //发异步，
            form.submit();
            layer.alert("增加成功", {icon: 6},function () {
                // 获得frame索引
                var index = parent.layer.getFrameIndex(window.name);
                //关闭当前frame
                parent.layer.close(index);
            });
            return false;
        });

    });
</script>

</body>

</html>